<?
define("ADMIN_AUTHORIZATION",1);
include("../../../includes/common.php");

$table = "countries";

/* pager start */
$params['tables'] = $table;
$params['nocheckfield']=true;
$params['s_prefix'] = $table;
$pager = GetPagerParams($params);
/* pager end */

$group_funcs_options=("<option >Выберите действие<option value='./action.php?action=delete'> - Удалить</option>");
                  
$table_headers = Array(
	"itter"=>Array("#","width=20 align=center"),
	"name"=>Array("<a href='".$pager['new_sort']."$table".".name' title='Сортировать'>Название</a>","align=center"),
	"full_name"=>Array("<a href='".$pager['new_sort']."$table".".full_name' title='Сортировать'>Полное название</a>","align=center"),
	"capital"=>Array("<a href='".$pager['new_sort']."$table".".capital' title='Сортировать'>Столица</a>","align=center"),
	"code"=>Array("<a href='".$pager['new_sort']."$table".".code' title='Сортировать'>Код</a>","width=40 align=center"),
	"funcs"=>Array("Операции","width=5% align=center")
	);
if ($group_funcs_options) {
	$table_headers["group_funcs"]=Array("<select name=act_sel onChange='SubmitForm();'>
									$group_funcs_options
									</select>");
}

$table_items = Array();

$query = "
  select 
  * from $table".
  ($search_string?" where $search_string":"")
  ." ORDER BY ".$pager['sort_by']." ".$pager['sort_ord']
  ." LIMIT ".$SETTINGS['admin_items_per_page']." OFFSET ".($pager['start_item']-1);

$res = mysql_query($query);

$itter =$pager['start_item'];
$i=0;

while ($row = mysql_fetch_object($res)){
	switch($row->status){
		case 0:
			$s= $ADMIN_ICONS[status_off];
		break;
		case 1:
			$s= $ADMIN_ICONS[status_on];
		break;
	}

	$table_items[$itter] = Array(
		"itter"=>array($itter,"align=center"),
		"name"=>Array($row->name_rus, ""),
		"full_name"=>Array($row->full_name, ""),
		"capital"=>Array($row->capital, ""),
		"code"=>Array($row->code,"align=center"),
		"funcs"=>Array("<nobr><a href='./add.php?id=$row->id' title='Edit'>$ADMIN_ICONS[edit]</a>&nbsp;<a href='#' onClick=\"if(confirm('Удалить?')){document.location.href='./action.php?action=delete&id=$row->id';}return false;\" title='Удалить'>$ADMIN_ICONS[del]</a></nobr>","align=center"));
	$itter++;
}

$smarty->assign('page_title',"Страны");

$smarty->assign('error',$error);

/* table template */
$smarty->assign('pager',$pager);
$smarty->assign('table_headers',$table_headers);
$smarty->assign('table_items',$table_items);
$smarty->assign('table_width',"100%");
$smarty->assign('top_menu_tpl',"admin_countries_menu.tpl");
$smarty->assign('main_tpl',"admin_list_table.tpl");
$smarty->assign('use_group_funcs',array_key_exists("group_funcs",$table_headers));

/* display content */
$smarty->display('admin_index.tpl');
?>